;; The program make by BDYCAD
;;DATA: 2003-11-18
;;
(DEFUN C:ted(/ ss id ssl tep n os tow top newp )
(PRINC "\n請選擇單行文本進行間隔修改:")
(SETQ ss (SSGET '((0 . "TEXT"))))
(setq id (getdist "\n輸入每行的距離:"))
(SETQ SSL (sslength ss))(setq n 1)
(setq tep (cdr (assoc 10 (entget (ssname ss 0)))))
(SETQ OS (GETVAR "osmode"))
(SETVAR "osmode" 0)(SETVAR "cmdecho"0)
(SETVAR "ICKSTYLE" 0) (setvar "pickauto" 0)
(command "_.undo" "_group")
(setq top (cdr (assoc 10 (entget (ssname ss n)))))
(command "line" tep top "")
(command "LENGTHEN" "t" id TOP "" )
(repeat (- SSL 1)
(setq tow (ssname ss n))
(setq top (cdr (assoc 10 (entget (ssname ss n)))))
(setq newp (cdr (assoc 11 (entget (entlast)))))
(command "move" (entlast) "" tep newp)
(command "move" tow "" top newp)
(setq tep newp )
(setq n (+ n 1)))
(command "erase" (entlast) "")
(command "_.undo" "_end")(setvar "pickauto" 1)
(SETVAR "OSMODE" OS) (SETVAR "cmdecho" 1)(SETVAR "ICKSTYLE" 1)
(princ))
(princ "程序加載完成. 在命令行輸入 ted 執行.....")